curl --request POST \
--url https://api.baselayer.com/ofac/searches/batches \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.baselayer.com/ofac/searches/batches"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api.baselayer.com/ofac/searches/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2e702a1-34b6-4401-bc1c-2d5d07b2a957",
"name": "ofac_batch_1.csv",
"similarity_threshold": 0.9,
"state": "COMPLETED",
"entities_count": 100,
"valid_entities_count": 100,
"entities_with_match_count": 10,
"invalid_entities_count": 10,
"created_at": "2026-08-31T10:31:07.823202",
"updated_at": "2026-08-31T10:31:07.823211"
}{
"code": 600,
"message": "Cannot process CSV file due to missing required headers. Please ensure your CSV includes all required headers.",
"metadata": {}
}{
"code": 900,
"message": "The file is too large. Please upload a smaller file.",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Post Ofac Batch
Submit a CSV for batch OFAC search, no larger than 5MB.
Expects two columns with the headers entity_name and reference_id. Supports an optional date_of_birth column (YYYY-MM-DD format) with optional values. See sample template here
Authorizations
Query Parameters
The similarity threshold for the OFAC search.
0 <= x <= 1Body
Response
Batch accepted for processing.
The unique identifier of the OFAC batch.
"a2e702a1-34b6-4401-bc1c-2d5d07b2a957"
The name of the ofac batch file
"ofac_batch_1.csv"
The similarity threshold for the OFAC search
0 <= x <= 10.9
0.95
0.99
The current processing state of the ofac batch
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED "COMPLETED"
Total number of entities in the batch
100
Total number of valid entities in the batch
100
Total number of entities with a match in the batch
10
Total number of invalid entities in the batch
10
When the ofac batch was created
"2026-08-31T10:31:07.823202"
When the ofac batch was updated
"2026-08-31T10:31:07.823211"